

buttons = {}

function buttons.Create(id, x, y, text, image)
	table.insert(buttons, {x = x, y = y, width = width, height = height, id = id, text = text, image = image, highlight = false, sound = false} )
end

function buttons.Click(x, y)
	for i,v in ipairs(buttons) do
		if love.mouse.getX() > v.x and
		love.mouse.getX() < v.x + v.image:getWidth() and
		love.mouse.getY() > v.y and
		love.mouse.getY() < v.y + v.image:getHeight() then
			if state == "menu" then
				if v.id == "play" then
					prevState = state
					state = "play"
					player.Place()
					objectRestart()
					TEsound.play(buttonPress, "button")
				elseif v.id == "quit" then
					prevState = state
					state = "quit"
					love.event.quit()
				elseif v.id == "controller" then
					if active then
						if not console then
							console = true
							PC = false
						elseif console then
							console = false
							PC = true
						end
						print("Controller Use: " ..tostring(console))
					else
						print("ERROR: No Gamepad Plugged in\nIf Controller is plugged in after game is running. Please Restart.\n*****")
					end
					TEsound.play(buttonPress, "button")
				end
			end
		end
	end
end

function buttons.Draw()
	for i,v in ipairs(buttons) do
	love.graphics.setColor(255, 255, 255)
		if state == "menu" then
			if v.image == smallButtonImg then
				love.graphics.setFont(Main)
				if not v.highlight then
					love.graphics.draw(v.image, v.x, v.y)
					if active then
						if console then
							love.graphics.print(v.text.. "\n [ON] OFF", v.x+10, v.y+10)
						else
							love.graphics.print(v.text.. "\n ON [OFF]", v.x+10, v.y+10)
						end
					else
						love.graphics.print("No Gamepad\nConnected", v.x+10, v.y+10)
					end
				elseif v.highlight then
						love.graphics.setColor(150, 150, 150)
						love.graphics.draw(v.image, v.x, v.y)
						if active then
							if console then
								love.graphics.print(v.text.. "\n [ON] OFF", v.x+10, v.y+10)
							else
								love.graphics.print(v.text.. "\n ON [OFF]", v.x+10, v.y+10)
							end
						else
							love.graphics.print("No Gamepad\nConnected", v.x+10, v.y+10)
						end
					end
				end
			if v.image == buttonImg then
				love.graphics.setFont(MainLarge)
				if not v.highlight then
					love.graphics.draw(v.image, v.x, v.y)
					love.graphics.print(v.text, v.x+42, v.y+16)
				elseif v.highlight then
					love.graphics.setColor(150, 150, 150)
					love.graphics.draw(v.image, v.x, v.y)
					love.graphics.print(v.text, v.x+42, v.y+16)
				end
			end
		end
	end
end

function buttons.Highlight()
	for i,v in ipairs(buttons) do
		if love.mouse.getX() > v.x and
		love.mouse.getX() < v.x + v.image:getWidth() and
		love.mouse.getY() > v.y and
		love.mouse.getY() < v.y + v.image:getHeight() then
			v.highlight = true
		else
			v.highlight = false
		end
	end
end

function buttons.Sound()
	for i,v in ipairs(buttons) do
		if v.highlight then
			if not v.sound then
				TEsound.play(hover, "button")
				v.sound = true
			end
		else
			v.sound = false
		end
	end
end

function buttons.Place()
	if buttonsDeleted == true then
		buttons.Create( "play", 100, gheight/2-32, "Play", buttonImg)
		buttons.Create( "quit", 100, gheight/2+160, "Quit", buttonImg)
		buttons.Create( "controller", 100, gheight/2-123, "Controller", smallButtonImg)
		buttonsDeleted = false
		for i,v in ipairs(buttons) do
			v.sound = true
		end
	end
end

function buttons.Remove()
	for i,v in ipairs(buttons) do
		if buttonsDeleted == false then
			if (v.id == "play" or "quit") then
				for i=1, #buttons do
					buttons[i] = nil
					buttonsDeleted = true
				end
			end
		end
	end
end
