function pauseDraw()
	if gameIsPaused then
		love.graphics.setColor(255, 255, 255)
		love.graphics.setFont(MainHUGE)
		love.graphics.printf("Paused", 0, 230, gwidth, "center")
		love.graphics.draw(pausedStroke, gwidth/2-331, gheight/2-75)
	end
end
function backgroundDraw()
	love.graphics.setColor(200, 200, 200)
	love.graphics.rectangle("fill", 0, 0, gwidth, gheight)
	love.graphics.setColor(0, 0, 0, 255)
	love.graphics.rectangle("line", 1, 1, gwidth-2, gheight-2)
	love.graphics.rectangle("line", 3, 3, gwidth-6, gheight-6)
end
function menuDraw()
	love.graphics.setFont(Main)
	love.graphics.setColor(0, 0, 0)
	love.graphics.printf("Intended for Love2D Version: 0.9.1\nGame Version: 1.0.0 | Build Date: 10/23/14", -10, 670, gwidth, "right")
	love.graphics.setFont(MainHUGE)
	love.graphics.setColor(255, 255, 255)
	love.graphics.printf("Collector", 0, 5, gwidth, "center")
	love.graphics.draw(collectorStroke, gwidth/2-521, 58)
end
function controlsDraw()
	love.graphics.setColor(0, 0, 0)
	love.graphics.setFont(Main)
	love.graphics.printf("Press 'Esc' to return to the Main Menu", 5, 5, gwidth, "left")
	love.graphics.printf("Press 'F' to Pause the game.", 5, 20, gwidth, "left")
end
function gameOverDraw()
	love.graphics.setColor(255, 255, 255)
	love.graphics.setFont(Main)
	love.graphics.printf(("Game Over\nYour score was: " ..player.score.. "\nYour highscore is: " ..highscore.. "\nGoing to main menu in: "
	..math.floor(GOtimer).. "\nPress 'ESC' or 'Enter' to return to the main menu."), 0, gheight/2-40, gwidth, "center")
end

--[[DEBUG]]--
function debugDraw()
	love.graphics.setFont(Main)
	if state == "play" then
		love.graphics.setColor(0, 0, 0, 125)
		love.graphics.rectangle("fill", 0, 0, 230, 100)
		love.graphics.setColor(255, 255, 255)
		love.graphics.rectangle("line", player.x, player.y, player.width, player.height)
		love.graphics.printf(("FPS: " ..love.timer.getFPS().. "\nVSync: " ..tostring(flags.vsync).. "\nPrev State: " ..tostring(prevState)..
		"\nPlayer State: " ..player.state), 6, 6, gwidth, "left")
		for i,v in ipairs(box) do
			for ia,va in ipairs(heart) do
				love.graphics.rectangle("line", v.x, v.y, v.width, v.height)
				love.graphics.rectangle("line", va.x, va.y, va.width, va.height)
			end
		end
	elseif (state == "menu" or "play" or "gameOver") then
		love.graphics.setColor(0, 0, 0, 125)
		love.graphics.rectangle("fill", 0, 0, 230, 80)
		love.graphics.setColor(255, 255, 255)
		love.graphics.printf("FPS: " ..love.timer.getFPS().. "\nVSync: " ..tostring(flags.vsync).. "\nPrev State: " ..tostring(prevState), 6, 6, gwidth, "left")
		for i,v in ipairs(buttons) do
			love.graphics.rectangle("line", v.x, v.y, v.image:getWidth(), v.image:getHeight())
		end
	end
end
--[[]]--
